%define	name	guichan
%define	version	0.8.2
%define	release	%mkrel 3
%define major   1
%define api     0.8.1
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Portable C++ GUI library for games using Allegro, SDL and OpenGL

Group:          System/Libraries
License:        BSD
URL:            http://guichan.sourceforge.net
Source0:        http://guichan.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         guichan-0.8.2-mdv-fix-linkage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  allegro-devel
Buildrequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	GL-devel
BuildRequires:	nas-devel

%description
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different objects for 
displaying graphics and grabbing user input.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{staticdevelname}
Summary:        Static libraries for programs which will use %{name}
Group:          Development/C++
Requires:       %{develname} = %{version}
Provides:       %{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
This package contains the static libraries necessary for developing
programs which will use %{name}.

%prep
%setup -q
%patch0 -p1 -b .linkage

%build
autoreconf -f -i
%configure2_5x  --enable-sdl \
                --enable-sdlimage \
                --enable-opengl \
                --enable-allegro
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/lib%{name}*-%{api}.so.*

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib%{name}*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%files -n %{staticdevelname}
%defattr(-,root,root,-)
%{_libdir}/*.a


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdv2011.0
+ Revision: 611048
- rebuild

* Thu Jan 07 2010 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-2mdv2010.1
+ Revision: 487012
- put .la files in the devel subpackage
- complete rework for new version 0.8.2
- revival

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - old directory, without matching package

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Vigier <nvigier@mandriva.com>
    - Import guichan




* Sat Jun 7 2007 Zombie <ryushu@mandriva.org> 0.6.1-1mdv2007
- First Mandriva port

* Sat Apr  7 2007 Wart <wart@kobold.org> 0.6.1-1
- Update to 0.6.1
- Use better sf download url
- Remove BR: glut-devel as upstream no longer uses it.
- Add patch to add soname to shared libraries

* Wed Oct  4 2006 Hugo Cisneiros <hugo@devin.com.br> 0.5.0-1
- Upstream update
- Add freeglut-devel BR for the new release
- Removed unusued patches for this new version

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-3
- Rebuilt for FC6

* Sat Jun 10 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Using libGL-devel instead of mesa-libGL-devel in BuildRequires
- Put documentation under -devel instead of a whole -doc
- Touch "autoxxx" files to take out autoxxx commands use in devel
- Add proper location do doc files (/usr/share/doc/xxx/html)

* Fri Jun  9 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release
